MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > GeometryClass : Node > Geometry - Dynamics Objects >

# Damper : GeometryClass

    Damper - superclass: GeometryClass; super-superclass:node - classID: #(1185567612, 1898392048)

Value > MAXWrapper > Node > GeometryClass > Damper

| Geometry Objects - Quick Navigation

Constructor:

    damper...

Properties:

    <Damper>.End_Placement_Method Integer default: 1

Set binding method for damper:

0- Reference Objects (Choose this option when binding the damper to two objects.)

1- Free Spring (Choose this when using the damper as a simple object that's not bound to others or used in a dynamics simulation.)

    <Damper>.Free_Damper_Height Float default: 2.0 -- animatable

The distance between the bottom center of the base and the top center of the piston when the damper is not bound.

    <Damper>.Renderable_Spring Integer default: 1

Turn on/off renderability of the damper:

0- not renderable

1- renderable

    <Damper>.Generate_Mapping_Coordinates Integer default: 0

Turn on/off mapping coordinates for the object:

0- off

1- on

    <Damper>.Base_Stud_Diameter Float default: 0.5 -- animatable

The diameter of the base, or "mount" of the damper.

    <Damper>.Base_Stud_Height Float default: 0.2 -- animatable

The height of the base.

    <Damper>.Cylinder_Diameter Float default: 1.0 -- animatable

The diameter of the main housing of the damper.

    <Damper>.Cylinder_Height Float default: 1.0 -- animatable

The height of the main housing.

    <Damper>.Cylinder_Sides Integer default: 8 -- animatable

The number of sides of both the base and the main housing.

    <Damper>.Cylinder_Fillet_1 Float default: 0.0 -- animatable

The size of the fillet on the lower edge of the main housing.

    <Damper>.Cylinder_Fillet_1_Segments Integer default: 0 -- animatable

The number of segments for Fillet 1. The higher this setting, the rounder the fillet profile appears.

    <Damper>.Cylinder_Fillet_2 Float default: 0.0 -- animatable

The size of the fillet on the upper edge of the main housing.

    <Damper>.Cylinder_Fillet_2_Segments Integer default: 0 -- animatable

The number of segments for Fillet 2. The higher this setting, the rounder the fillet profile appears.

    <Damper>.Inside_Diameter Float default: 0.0 -- animatable

The inside diameter of the main housing, which is actually a tube rather than a cylinder.

    <Damper>.Smooth_Cylinder Integer default: 1

Turn on/off smoothing for the base and the main housing:

0- Off

1- On

    <Damper>.Piston_Diameter Float default: 0.2 -- animatable

The diameter of the piston.

    <Damper>.Piston_Height Float default: 1.0 -- animatable

The height of the piston.

    <Damper>.Piston_Sides Integer default: 6 -- animatable

The number of sides in the piston.

    <Damper>.Smooth_Piston Integer default: 1

Turn on/off smoothing for the piston:

0- Off

1- On

    <Damper>.Enable_Boot Integer default: 0

Turn this on to add the boot to the damper:

0- Off

1- On

The boot is an optional component of the damper that's similar to the rubber "accordion" boot found on various types of dampers, such as shock absorbers. The boot acts like a bound dynamic object, in that one of its ends is bound to the main housing, while the other is bound to the piston. Thus, as the piston moves within the housing, the boot expands and contracts to follow.

    <Damper>.Boot_Small_Diameter Float default: 0.25 -- animatable

The minimum diameter of the boot. This and the next parameter affect the depth of the accordion folds in the boot.

    <Damper>.Boot_Large_Diameter Float default: 1.0 -- animatable

The maximum diameter of the boot.

    <Damper>.Boot_Sides Integer default: 8 -- animatable

The number of sides making up the boot.

    <Damper>.Boot_Folds Integer default: 4 -- animatable

The number of accordion folds (bulges) along the height of the boot.

    <Damper>.Boot_Fold_Resolution Integer default: 4 -- animatable

The number of segments in each fold.

    <Damper>.Boot_Stop_Diameter Float default: 0.4 -- animatable

The diameter of the stop, which is the ring at the top of the boot.

    <Damper>.Boot_Stop_Height Float default: 0.2 -- animatable

The thickness (height) of the stop ring.

    <Damper>.Boot_Stop_Setback Float default: 0.2 -- animatable

The distance of the stop ring from the top of the piston.

    <Damper>.Boot_Stop_Fillet Float default: 0.0 -- animatable

The size of the fillet on the upper edge of the stop ring.

    <Damper>.Boot_Stop_Fillet_Segements Integer default: 0 -- animatable

The number of segments the stop fillet. The higher this setting, the round the fillet profile appears.

    <Damper>.Smooth_Boot Integer default: 1

Turn on/off smoothing for the boot:

0- Off

1- On

    <Damper>.Dynamics_Object_Type Integer default: 0

Select which object is dynamic:

0- Damper (Select this option to use the damper object as a damper rather than an actuator.)

1- Actuator (Choose this when using the damper object as an Actuator.)

    <Damper>.Drag Float default: 0.0 -- animatable

The force per unit linear speed.

    <Damper>.Drag_Units Integer default: 0

Sets the units of drag:

0- Pounds per inch/second

1- Newtons per meter/second

    <Damper>.Damper_Direction Integer default: 2

Set the directional operation of the damper:

0- Compression Only (The damper reacts only to compression forces.)

1- Extension Only (The damper reacts only to expansion forces.)

2- Both (The damper reacts to both compression and expansion forces.)

    <Damper>.Force Float default: 0.0 -- animatable

The amount of force exerted between the two bound objects. Positive values push the objects apart, while negative values pull them together.

    <Damper>.Force_Units Integer default: 0

Set the units of force:

0- Pounds

1- Newtons

NoteThe Reference End Point objects cannot be specified in MAXScript.

#### See Also

- GeometryClass Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods